const { logInfo } = require("../../libs/utils")
const Sequelize = require("sequelize");

function edit(connString, force) {
  return new Promise(async (resolve, reject) => {
    try {
      if (force) {
        resolve("Configuration modified")
      } else {
        db = new Sequelize(connString.data, { logging: false, define: { freezeTableName: true } })
        logInfo("Verify Connexion ...");
        db.authenticate()
          .then(() => {
            resolve("Connection test OK")
          })
          .catch((err) => {
            reject(err.message)
          })
      }
    } catch (error) {
      reject(error.message)
    }
  })

}

module.exports = edit
